# $Revision: 1.18 $, $Date: 2010/08/30 19:30:38 $
Summary:	Small daemon for logging console output during boot
Summary(pl.UTF-8):	Mały demon do logowania wyjścia konsoli w czasie startu systemu
Name:		showconsole
Version:	1.10
Release:	3
License:	GPL v2
Group:		Base
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	f0d9d76e1de0d6b4cff57f6b5f9ff523
Patch0:		%{name}-quiet.patch
Patch1:		%{name}-lib64.patch
Patch2:		%{name}-suse.patch
URL:		ftp://ftp.suse.com/pub/projects/init/
BuildRequires:	linux-libc-headers >= 7:2.6.12.0-15
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This small package provides a daemon for logging during boot time of
System V boot.

%description -l pl.UTF-8
Ten mały pakiet udosępnia demona do logowania w czasie startu systemu
w stylu SysV.

%package devel
Summary:	Header files for libblogger library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libblogger
Group:		Development/Libraries

%description devel
This is the package containing the header file for libblogger library.

%description devel -l pl.UTF-8
Ten pakiet zawiera plik nagłówkowy biblioteki libblogger.

%package static
Summary:	Static libblogger library
Summary(pl.UTF-8):	Statyczna biblioteka libblogger
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libblogger library.

%description static -l pl.UTF-8
Statyczna biblioteka libblogger.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

# match path with plymouth
grep -rl /var/log/boot.msg . | xargs sed -i -e 's,/var/log/boot.msg,/var/log/boot.log,'

%build
%{__make} \
	COPTS="%{rpmcflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/dev,/var/log}
%{__make} install \
	lib=%{_lib} \
	DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT/var/log/boot.log
touch $RPM_BUILD_ROOT/dev/blog

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -p /dev/blog ]; then
	mknod -m 640 /dev/blog p
fi

%files
%defattr(644,root,root,755)
%doc showconsole-*.lsm README
%attr(755,root,root) %{_sbindir}/blogd
%attr(755,root,root) %{_sbindir}/blogger
%attr(755,root,root) %{_sbindir}/isserial
%attr(755,root,root) %{_sbindir}/setconsole
%attr(755,root,root) %{_sbindir}/showconsole
%{_mandir}/man8/blogd.8*
%{_mandir}/man8/blogger.8*
%{_mandir}/man8/isserial.8*
%{_mandir}/man8/setconsole.8*
%{_mandir}/man8/showconsole.8*
%ghost /var/log/boot.log
%attr(640,root,root) %ghost /dev/blog

%files devel
%defattr(644,root,root,755)
%{_includedir}/libblogger.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libblogger.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: showconsole.spec,v $
Revision 1.18  2010/08/30 19:30:38  glen
- update ghost path as well; rel 3

Revision 1.17  2010/08/30 17:47:00  glen
- df

Revision 1.16  2010/08/30 17:45:24  glen
- match log path with plymouth; rel 2

Revision 1.15  2010/08/30 17:40:47  glen
- up to 1.10
  tarball and patch from:
  http://download.opensuse.org/source/distribution/11.3/repo/oss/suse/src/sysvinit-2.88-9.4.src.rpm

Revision 1.14  2010/02/27 21:11:23  sparky
- unify %attr() %ghost order

Revision 1.13  2009/03/11 19:19:15  duddits
- up to 1.09
- suse.patch dropped

Revision 1.12  2007/10/31 21:47:38  glen
- package /dev/blog as %ghost

Revision 1.11  2007/10/31 21:24:08  glen
- package setconsole

Revision 1.10  2007/10/30 23:31:13  glen
- require llh with TIOCGDEV patch; rel 2

Revision 1.9  2007/10/30 22:55:23  glen
- add suse patch (needs TIOCGDEV support in glibc)

Revision 1.8  2007/03/15 16:17:40  glen
- %ghost saved boot.msg

Revision 1.7  2007/03/15 15:53:52  glen
- lib64 fix

Revision 1.6  2007/03/15 15:48:13  glen
- direct source0 url, also update URL

Revision 1.5  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.3  2006/02/18 11:06:54  qboosh
- pl, missing defattr

Revision 1.2  2006/02/14 11:24:09  glen
- library is libblogger

Revision 1.1  2006/02/14 01:26:04  glen
- console logger from suse
